#ifndef LIBFLYADMINASTRALICENSE_ASTRALICENSECHECK_H
#define LIBFLYADMINASTRALICENSE_ASTRALICENSECHECK_H

#include <flyadminastralicense/global.h>
#include <flyadminastralicense/astralicense.h>

#include <mode.h>

namespace FlyAdmin {

//!
//! \brief Checks whether the specified mode supports the given license
//! \param mode - value from enumeration FlyAdmin::Mode::Licenses
//! \param license - value from enumeration FlyAdmin::AstraLicense::License
//! \return \true - if it supports, false - otherwise
//!
LIBFLYADMINASTRALICENSE_EXPORT
bool checkIfModeSupportsLicense(Mode::Licenses mode, AstraLicense::License license);

//!
//! \brief Checks whether the specified mode supports the given license
//! \param mode - value from enumeration FlyAdmin::Mode::Licenses
//! \param license - object of class FlyAdmin::AstraLicense
//! \return \true - if it supports, false - otherwise
//!
LIBFLYADMINASTRALICENSE_EXPORT
bool checkIfModeSupportsLicense(Mode::Licenses mode, const AstraLicense &license);

//!
//! \brief Checks whether the current mode supports the given license
//! \param license - value from enumeration FlyAdmin::AstraLicense::License
//! \return \true - if it supports, false - otherwise
//!
LIBFLYADMINASTRALICENSE_EXPORT
bool checkIfCurrentModeSupportsLicense(AstraLicense::License license);

//!
//! \brief Checks whether the current mode supports the given license
//! \param license - object of class FlyAdmin::AstraLicense
//! \return \true - if it supports, false - otherwise
//!
LIBFLYADMINASTRALICENSE_EXPORT
bool checkIfCurrentModeSupportsLicense(const AstraLicense &license);

} // namespace FlyAdmin

#endif // LIBFLYADMINASTRALICENSE_ASTRALICENSECHECK_H
